{% extends 'base.html.twig' %}

{% block title %}Register{% endblock %}

{% block body %}

<div style="background-color: #f8f9fc; min-height: 100%">
    <div class="container-fluid px-5">
        {{ form_start(registrationForm) }}
            <div class="row justify-content-center">
                <div class="col-5 mb-5 mt-5">
                    <div class="row justify-content-center">
                        <div class="col-12 pb-5">
                            <h1 class="font-weight-bold d-inline">Insrivez-vous</h1>
                        </div>
                        {% for flashError in app.flashes('verify_email_error') %}
                            <div class="col-12">
                                <div class="alert alert-danger" role="alert">{{ flashError }}</div>
                            </div>
                        {% endfor %}
                        <div class="form-group w-75 m-auto pb-3">
                            {{ form_widget(registrationForm.lastName, {'attr': {'placeholder': 'Nom'}} ) }}
                        </div>
                        <div class="form-group w-75 m-auto pb-3">
                            {{ form_widget(registrationForm.firstName, {'attr': {'placeholder': 'Prénom'}} ) }}
                        </div>
                        <div class="form-group w-75 m-auto pb-3">
                            {{ form_widget(registrationForm.email, {'attr': {'placeholder': 'Email'}} ) }}
                        </div>
                        <div class="form-group w-75 m-auto pb-3">
                            {{ form_widget(registrationForm.plainPassword.first, {
                                'attr': {'placeholder': 'Mot de passe'},
                            }) }}
                        </div>
                        <div class="form-group w-75 m-auto pb-3">
                            {{ form_widget(registrationForm.plainPassword.second, {
                                'attr': {'placeholder': 'Confirmation'},
                            }) }}
                        </div>

                        <div class="col-12 text-right">
                            <button class="btn btn-lg d-inline btn-success btn-block text-right w-50 mt-4 mb-3" type="submit">
                                Inscription
                            </button>
                        </div>
                        <div class="col-12 text-right">
                            <p>Vous avez déjà un compte ? <a href="{{ path('app_login') }}">Se connecter</a></p>
                        </div>
                    </div>
                </div>
            {{ form_end(registrationForm) }}
        </div>
    </div>




{% endblock %}
